Plot.post.predictive.check<-function(object,base.labels,otolith.vars=NULL,Loci.names=NULL,Plot=TRUE,limits=c(0.05,0.95))
{
     temp<-object$summary
      parms.rows<-grep("otopredcheck",object$root.short)
      if(length(parms.rows)!=0){
       mean.posn<-match(c("mean"),dimnames(object$summary)[[2]])
        ypred.rows<-grep("otopredcheck[[:digit:]]\\[",rownames(object$summary))
     no.vars<-length(otolith.vars)
      no.base<-length(base.labels)
       out<-as.data.frame(matrix(NA,no.base*no.vars,3))
          names(out)<-c("Prob","Base","Element")
           out[,1]<-object$summary[ypred.rows,mean.posn]
                    out$Element<-rep(otolith.vars,no.base)
           out$Base<-as.vector(t(matrix(base.labels,no.base,no.vars)))
           if(Plot){
           Line.types<-c(1:(no.base+1))[-3]
           plot(1:no.vars,1-out$Prob[out$Base==base.labels[1]],type="b",xlab="Otolith element",
           ylab="Probability of extreme value",xlim=c(0,no.vars+1),ylim=c(0,1),xaxt="n")
           axis(1,at=1:no.vars,labels=otolith.vars,cex.axis=0.8)
           for(i in 2:no.base){
            lines(1:no.vars,1-out$Prob[out$Base==base.labels[i]],type="b",lty=Line.types[i],pch=i)
           }
           abline(h=limits[1],lty=3,lwd=2)
           abline(h=limits[2],lty=3,lwd=2)
           text(0,limits[2]-0.01,as.character(limits[2]),cex=0.8)
           text(0,limits[1]-0.01,as.character(limits[1]),cex=0.8)
           legend(no.vars,0.96,base.labels,lty=Line.types,pch=1:no.base,bty="n")
        }
         else {
         if(is.null(Loci.names))
         return(out)
          }
         }
      parms.rows<-grep("genpredcheck",object$root.short)
      if(length(parms.rows)!=0){
        Prob.posn<-match(c("mean"),dimnames(object$summary)[[2]])
        ypred.rows<-grep("genpredcheck[[:digit:]]\\[",rownames(object$summary))
        no.loci<-length(Loci.names)
        no.base<-length(base.labels)
        out.gen<-as.data.frame(matrix(NA,no.base*no.loci,3))
          names(out.gen)<-c("Prob","Base","Locus")
           out.gen[,1]<-object$summary[ypred.rows,Prob.posn]
           out.gen$Base<-rep(base.labels,no.loci)
           out.gen$Locus<-as.vector(t(matrix(Loci.names,no.loci,no.base)))
            if(Plot){
                  windows()
           Line.types<-c(1:(no.base+1))[-3]
           plot(1:no.loci,out.gen$Prob[out.gen$Base==base.labels[1]],type="b",xlab="Locus",
           ylab="Probability of extreme value",xlim=c(0,no.loci+1),ylim=c(0,1),xaxt="n")
           axis(1,at=1:no.loci,labels=Loci.names,cex.axis=0.8)
           for(i in 2:no.base){
            lines(1:no.loci,out.gen$Prob[out.gen$Base==base.labels[i]],type="b",lty=Line.types[i],pch=i)
           }
          abline(h=limits[1],lty=3,lwd=2)
           abline(h=limits[2],lty=3,lwd=2)
           text(0,limits[2]-0.01,as.character(limits[2]),cex=0.8)
           text(0,limits[1]-0.01,as.character(limits[1]),cex=0.8)
           legend(no.loci-0.5,0.96,base.labels,lty=Line.types,pch=1:no.base,bty="n")
        }
         else{
          if(is.null(otolith.vars)) out.gen
          else list(otolith=out,genetics=out.gen)
         }
      }
  }