`format.genetic.data` <-
function(data.object)
{
        NTrain.gen <- 2*apply(data.object$base.genotypes, 1, sum)
        Gen.name <- strsplit(data.object$Locus, "_", fixed = TRUE) #drop "_"
        mix.names <- substring(names(data.object)[mix.var <- grep("mix", names(data.object))], 10, 13)
        for(i in 1:length(mix.names)) {
                assign(paste("N.", mix.names[i], sep = ""), length(data.object[[mix.var[i]]]))
        }
        M <- dim(data.object$total.alleles.base)[2]
        G <- length(data.object$unique.groups)
        alpha <- rep(1/G, G)
        Train <- 1:G
        out1 <- list(NTrain.gen = NTrain.gen, G = G, alpha = alpha) #Train not defined in mixmodel.bug
        for(i in 1:length(mix.names)) {
                out1[[3 + i]] <- get(paste("N.", mix.names[i], sep = ""))
                names(out1)[3 + i] <- paste("N.", mix.names[i], sep = "")
        }
        out2 <- list(M = M, base = data.object$total.alleles.base) #NEW - do not transpose
        names(out2) <- paste(names(out2), Gen.name, sep = ".")
        out3 <- out4 <- out5 <- vector("list", length = length(mix.names))
        names(out3) <- names(out4) <- names(out5) <- rep("", length(mix.names))
        for(i in 1:length(mix.names)) {
                out3[[i]] <- data.object$index.base.HWE[, data.object[[mix.var[i]]]] #NEW - do not transpose
                names(out3)[i] <- paste("mix.posn", i, Gen.name, sep = ".")
                out4[[i]] <- apply(out3[[i]], 2, function(x) #NEW - apply over columns
                {
                        (x[1] != x[2]) + 1
                }
                )

                names(out4)[i] <- paste("HWE.mult", i, Gen.name, sep = ".")
                out5[[i]] <- rep(1, out1[[3 + i]])
                names(out5)[i] <- paste("ind", i, Gen.name, sep = ".")
        }

		return(c(out1, out2, out3, out4, out5))
}

