`genetic.inits` <-
function(genetic.object, type = c("random", "fixed")[1], n.chains=1, max.prob=0.90)
{
	out.inits<-vector("list", length = n.chains)

   for(g in 1:n.chains) {

        n.mix <- length(pos.mix <- grep("N.mix", names(genetic.object)))
        pos.mix.names <- names(genetic.object)[pos.mix]
        out1 <- vector("list", length = n.mix)
        n.base <- length(unique(genetic.object$NTrain.gen))
        if(type == "random") {
                for(i in 1:n.mix) {
                        assign(paste("T", i, sep = ""), sample(1:n.base, as.numeric(genetic.object[pos.mix.names][[i]]), replace = TRUE))
                        out1[[i]] <- get(paste("T", i, sep = ""))
                        names(out1)[i] <- paste("T", i, sep = "")
                }
        }	else {
		for(i in 1:n.mix) {
			PRob<-rep(0,n.base)
			PRob[sample(1:n.base,1)]<-max.prob
			PRob[PRob==0]<-(1-max.prob)/(n.base-1)
			assign(paste("T", i, sep = ""), sample(1:n.base, as.numeric(genetic.object[pos.mix.names][[i]]), prob=PRob, replace = TRUE))
			out1[[i]] <- get(paste("T", i, sep = ""))
			names(out1[i]) <- paste("T", i, sep = "")
		}

        }

   out.inits[[g]]<-as.list(out1) #NEW return() required for package building

   }
  return(as.list(out.inits))
}

