`pbayes` <-
function(priors.object, tol = 0.0001)
{

        n.base <- length(pos.base <- grep("base.", names(priors.object)))
#        pos.base.names <- names(priors.object)[pos.base]
        lab.base <- unlist(strsplit(names(priors.object)[pos.base], ".", fixed = TRUE))
        lab.base.names <- lab.base[lab.base!="base"]
        out1 <- vector("list", length = n.base)

    for(i in 1:n.base) {

        sourcesamp <- array(unlist(priors.object[pos.base[i]]), dim = dim(priors.object[pos.base[i]][[1]])) #convert list to array
        aa1 <- t(apply(sourcesamp, 1, function(z) z/sum(z, na.rm = TRUE)))
        sub.zero <- function(x)
        {
                x[is.na(x)] <- 0
                x
        }
        aa1 <- t(apply(aa1, 1, sub.zero))
        n <- apply(sourcesamp, 2, sum)
        lambda <- apply(aa1, 2, mean)
        bnew <- 1
        bold <- 10
        while(abs(bnew - bold) > tol) {
                bold <- bnew
                num <- sum((n^2 * (1 - apply(aa1^2, 2, sum)))/(n + bold)^3)
                denom <- sum((n^2 * apply((aa1 - lambda)^2, 2, sum))/(n + bold)^3)
                bnew <- num/denom
        }
        if(bnew < 1)
                bnew <- 1
        yt <- apply(t(apply(sourcesamp, 1, function(x)
        x/sum(x))), 2, mean)
        yt[yt <= 0] <- ifelse(min(yt[yt > 0]) < 0.01, min(yt[yt > 0]), 0.01)   #modified S.J. Smith 16/06/2009
                yt <- yt/sum(yt)
       

    Bt = bnew * yt

    assign(paste("alpha", lab.base.names[i], sep = "."), Bt)
    out1[[i]] <- get(paste("alpha", lab.base.names[i], sep = "."))
    names(out1)[i] <- paste("alpha", lab.base.names[i], sep = ".")
    }

     out.priors <- out1
     return(as.list(out.priors))

}

