\name{Plot.post.predictive.check}
\Rdversion{1.1}
\alias{Plot.post.predictive.check}
%- Also NEED an '\alias' for EACH other topic documented here.
\title{
Plot posterior predictive statistics
}
\description{
This function extracts the posterior predictive test statistics for either the otolith or genetic data or 
both from the object returned by \code{\link{mix.fish}}.  
}
\usage{
Plot.post.predictive.check(object, base.labels, otolith.vars = NULL, Loci.names = NULL, Plot = TRUE, limits = c(0.05, 0.95))
}
%- maybe also 'usage' for other objects documented here.
\arguments{
  \item{object}{
 a object returned by  \code{\link{mix.fish}}.
}
  \item{base.labels}{
are labels from base groups. See \code{base} in \code{\link{mix.fish}}.
}

  \item{otolith.vars}{
a character vector with the names of the otolith variables included in the analysis. 
See \code{otolith.var} in \code{\link{mix.fish}}.
}
  \item{Loci.names}{
a character vector with the names of the loci included in the analysis. 
See \code{loci} in \code{\link{mix.fish}}.
}
  \item{Plot}{
is a logical variable indicating whether or not a figure will be plotted.  If Plot=FALSE function
returns a dataframe of data to be plotted.
}
  \item{limits}{Lower and upper limits to be indicated on figure. Default set to 0.05 and 0.95.
  }
}
\details{
%%  ~~ If necessary, more details than the description above ~~
}
\value{
A plot to the current device if Plot=TRUE (default) or a dataframe of data to be plotted if Plot=FALSE.
}
\references{
%% ~put references to the literature/web site here ~
}
\author{
Stephen Smith \email{Stephen.Smith@dfo-mpo.gc.ca}
}
\note{
%%  ~~further notes~~
}

%% ~Make other sections like Warning with \section{Warning }{....} ~

\seealso{
%% ~~objects to See Also as \code{\link{help}}, ~~~
}
\examples{

data(codmix)
 
mymix<-mix.fish(data=codmix,method="otolith",groups="STOCK",
otolith.var=c("BA", "LILN", "MGLNDET2", "MNDET2", "SRDET2"), 
mixparameters=c("P1","P2","P3","P4"),base=codmix[codmix$SEASON=="S96",],
basetows=c("3Pn4RS","3Ps","4T","4Vs"),mix=codmix[codmix$SEASON=="J96",],
mixtows=c("3Pn4RS","3Ps","4Vn","4Vs"),type="random",n.chains=2,n.iter=2000)

Plot.post.predictive.check(mymix,base.labels=c("3Pn4RS","3Ps","4T","4Vs"), 
otolith.vars=c("Ba","log(Li)","log(Mg)","Mn","Sr"))
}
% Add one or more standard keywords, see file 'KEYWORDS' in the
% R documentation directory.
\keyword{ hplot }
%\keyword{ ~kwd2 }% __ONLY ONE__ keyword per line
